searchNodes=[{"ref":"Picam.html","title":"Picam","type":"module","doc":"This module contains functions to manipulate, capture, and stream MJPEG video on a Raspberry Pi using the camera module."},{"ref":"Picam.html#next_frame/0","title":"Picam.next_frame/0","type":"function","doc":"Returns a binary with the contents of a single JPEG frame from the camera."},{"ref":"Picam.html#set_annotation_bg/1","title":"Picam.set_annotation_bg/1","type":"function","doc":"Enable or disable a black background behind the annotation."},{"ref":"Picam.html#set_annotation_text/1","title":"Picam.set_annotation_text/1","type":"function","doc":"Annotate the JPEG frames with the text in annotation."},{"ref":"Picam.html#set_awb_mode/1","title":"Picam.set_awb_mode/1","type":"function","doc":"Set the Automatic White Balance (AWB) mode. The accepted modes are: :off :auto :sun :cloud :shade :tungsten :fluorescent :incandescent :flash :horizon"},{"ref":"Picam.html#set_brightness/1","title":"Picam.set_brightness/1","type":"function","doc":"Set the image brightness. The accepted range is [0, 100]."},{"ref":"Picam.html#set_col_effect/1","title":"Picam.set_col_effect/1","type":"function","doc":"Set the color effect applied by the camera. The effect is set with the tuple {u,v}. The accepted range for both values is [0, 255]. If the effect given is :none, color effects will be disabled. Examples iex&gt; Picam.set_col_effect({128,128}) # Black and white :ok"},{"ref":"Picam.html#set_contrast/1","title":"Picam.set_contrast/1","type":"function","doc":"Set the image contrast. The accepted range is [-100, 100]."},{"ref":"Picam.html#set_ev/1","title":"Picam.set_ev/1","type":"function","doc":"Set the exposure compensation (EV) level. The accepted range is [-25, 25]."},{"ref":"Picam.html#set_exposure_mode/1","title":"Picam.set_exposure_mode/1","type":"function","doc":"Set the exposure mode. The accepted modes are: :auto :night :nightpreview :backlight :spotlight :sports :snow :beach :verylong :fixedfps :antishake :fireworks"},{"ref":"Picam.html#set_fps/1","title":"Picam.set_fps/1","type":"function","doc":"Limit the frame rate to the given rate. The accepted range is [0.0, 90.0], but the actual rate used is governed by the current sensor_mode. If the rate given is 0 (or 0.0), frame rate will be automatically regulated."},{"ref":"Picam.html#set_hflip/1","title":"Picam.set_hflip/1","type":"function","doc":"Flip the image horizontally."},{"ref":"Picam.html#set_img_effect/1","title":"Picam.set_img_effect/1","type":"function","doc":"Set the image effect. The accepted effects are: :none :negative :solarise :sketch :denoise :emboss :oilpaint :hatch :gpen :pastel :watercolor :film :blur :saturation :colorswap :washedout :posterise :colorpoint :colorbalance :cartoon"},{"ref":"Picam.html#set_iso/1","title":"Picam.set_iso/1","type":"function","doc":"Set the capture ISO. The accepted range is [0, 800]. If the iso given is 0, it will be automatically regulated by the camera."},{"ref":"Picam.html#set_metering_mode/1","title":"Picam.set_metering_mode/1","type":"function","doc":"Set the metering mode. The accepted modes are: :average :spot :backlit :matrix"},{"ref":"Picam.html#set_preview_enabled/1","title":"Picam.set_preview_enabled/1","type":"function","doc":"Enable or disable video preview output to the attached display(s). Defaults to false."},{"ref":"Picam.html#set_preview_fullscreen/1","title":"Picam.set_preview_fullscreen/1","type":"function","doc":"Enable or disable full-screen output for video preview. Defaults to true."},{"ref":"Picam.html#set_preview_window/4","title":"Picam.set_preview_window/4","type":"function","doc":"Set the location and size of the (non-fullscreen) video preview. This option is ignored when fullscreen preview is enabled. Defaults to true."},{"ref":"Picam.html#set_quality/1","title":"Picam.set_quality/1","type":"function","doc":"Set the JPEG quality. The accepted range is [1, 100]."},{"ref":"Picam.html#set_restart_interval/1","title":"Picam.set_restart_interval/1","type":"function","doc":"Set the JPEG restart interval. If the interval given is 0, restart intervals will not be used."},{"ref":"Picam.html#set_roi/1","title":"Picam.set_roi/1","type":"function","doc":"Set a region of interest. (x,y,w,h as normalized coordinates [0.0, 1.0])"},{"ref":"Picam.html#set_rotation/1","title":"Picam.set_rotation/1","type":"function","doc":"Set the image rotation angle in degrees. The accepted angles are 0, 90, 180, or 270."},{"ref":"Picam.html#set_saturation/1","title":"Picam.set_saturation/1","type":"function","doc":"Set the image saturation. The accepted range is [-100, 100]."},{"ref":"Picam.html#set_sensor_mode/1","title":"Picam.set_sensor_mode/1","type":"function","doc":"Set the sensor mode. Details on the accepted modes (0-7) are listed in the tables below: V1 Camera Module #ResolutionRatioFPS RangeVideoImageFoVBinning 11920x108016:9(1, 30]YPartialNone 22592x19444:3(1, 15]YYFullNone 32592x19444:3[0.16, 1]YYFullNone 41296x9724:3(1, 42]YFull2x2 51296x73016:9(1, 49]YFull2x2 6640x4804:3(42, 60]YFull4x4 7640x4804:3(60, 90]YFull4x4 V2 Camera Module #ResolutionRatioFPS RangeVideoImageFoVBinning 11920x108016:9[0.10, 30]YPartialNone 23280x24644:3[0.10, 15]YNFullNone 33280x24644:3[0.10, 15]YNFullNone 41640x12324:3[0.10, 40]YFull2x2 51640x92216:9[0.10, 40]YFull2x2 61280x72016:9(40, 90]YPartial2x2 7640x4804:3(40, 90]YPartial2x2 If the mode given is 0, the camera will select a mode automatically."},{"ref":"Picam.html#set_sharpness/1","title":"Picam.set_sharpness/1","type":"function","doc":"Set the image sharpness. The accepted range is [-100, 100]."},{"ref":"Picam.html#set_shutter_speed/1","title":"Picam.set_shutter_speed/1","type":"function","doc":"Set the shutter speed in microseconds If the speed given is 0, it will be automatically regulated."},{"ref":"Picam.html#set_size/2","title":"Picam.set_size/2","type":"function","doc":"Set the image size. One of the dimensions may be set to 0 to auto-calculate it based on the aspect ratio of the camera."},{"ref":"Picam.html#set_vflip/1","title":"Picam.set_vflip/1","type":"function","doc":"Flip the image vertically."},{"ref":"Picam.html#set_vstab/1","title":"Picam.set_vstab/1","type":"function","doc":"Enable or disable video stabilization."},{"ref":"Picam.Camera.html","title":"Picam.Camera","type":"module","doc":"GenServer which starts and manages the raspijpgs application as a port."},{"ref":"Picam.Camera.html#child_spec/1","title":"Picam.Camera.child_spec/1","type":"function","doc":"Returns a specification to start this module under a supervisor. See Supervisor."},{"ref":"Picam.Camera.html#init/1","title":"Picam.Camera.init/1","type":"function","doc":"Invoked when the server is started. start_link/3 or start/3 will block until it returns. init_arg is the argument term (second argument) passed to start_link/3. Returning {:ok, state} will cause start_link/3 to return {:ok, pid} and the process to enter its loop. Returning {:ok, state, timeout} is similar to {:ok, state} except handle_info(:timeout, state) will be called after timeout milliseconds if no messages are received within the timeout. Returning {:ok, state, :hibernate} is similar to {:ok, state} except the process is hibernated before entering the loop. See c:handle_call/3 for more information on hibernation. Returning {:ok, state, {:continue, continue}} is similar to {:ok, state} except that immediately after entering the loop the c:handle_continue/2 callback will be invoked with the value continue as first argument. Returning :ignore will cause start_link/3 to return :ignore and the process will exit normally without entering the loop or calling c:terminate/2. If used when part of a supervision tree the parent supervisor will not fail to start nor immediately try to restart the GenServer. The remainder of the supervision tree will be started and so the GenServer should not be required by other processes. It can be started later with Supervisor.restart_child/2 as the child specification is saved in the parent supervisor. The main use cases for this are: The GenServer is disabled by configuration but might be enabled later. An error occurred and it will be handled by a different mechanism than the Supervisor. Likely this approach involves calling Supervisor.restart_child/2 after a delay to attempt a restart. Returning {:stop, reason} will cause start_link/3 to return {:error, reason} and the process to exit with reason reason without entering the loop or calling c:terminate/2. Callback implementation for GenServer.init/1."},{"ref":"Picam.Camera.html#start_link/1","title":"Picam.Camera.start_link/1","type":"function","doc":""},{"ref":"Picam.FakeCamera.html","title":"Picam.FakeCamera","type":"module","doc":"A fake version of Picam.Camera that can be used in test and development when a real Raspberry Pi Camera isn&#39;t available. All the normal configuration commands are accepted and silently ignored, except that: size can be set to one of 1920x1080, 1280x720, or 640x480. This will result in a static image of that size being displayed on each frame. fps can be set, which will result in the static images being displayed at roughtly the requested rate. In addition, a custom image can be set using set_image/1, which is be displayed on each frame until a new image is set or the size is changed."},{"ref":"Picam.FakeCamera.html#child_spec/1","title":"Picam.FakeCamera.child_spec/1","type":"function","doc":"Returns a specification to start this module under a supervisor. See Supervisor."},{"ref":"Picam.FakeCamera.html#set_image/1","title":"Picam.FakeCamera.set_image/1","type":"function","doc":"Set the image that is being displayed by the fake camera on each frame. This is intended for development or testing things that depend on the content of the image seen by the camera. jpg should be a JPEG-encoded binary, for example: &quot;image.jpg&quot; |&gt; File.read!() |&gt; Picam.FakeCamera.set_image()"}]